#include "PERSON.h"

Person::Person(string fname, string lname, string ssNum)
{
    this -> lname = lname;
    this -> fname = fname;
    this->ssNum = ssNum;
}

Person::Person(string fname, string lname, string ss, string bMonth, int bDay, int bYear, Country * c):
lname(lname),  ssNum(ss),
dateOfBirth(bMonth, bDay, bYear)
{
    //this -> lname = lname;
    this -> fname = fname;
    //this->ssNum = ss;
    residenceCountry = c;

//this will not compile since month is private in Date class
//    this->dateOfBirth.month=bMonth;
// 1. make a setMonth function and use it here
//    dateOfBirth.setMonth(bMonth);
// 2. call Date's constructor
//in heading
}

string Person::getFname()
{
    return fname;
}

string Person::getMname()
{
    return mname;
}

string Person::getLname()
{
    return lname;
}

Country* Person::getCountry()
{
    return residenceCountry;
}

string Person::getDateAsString()
{
    return dateOfBirth.getDateAsString();
}


